Get statement doc info
API reference
Returns information about monthly statement documents using a unique statement ID returned in the Get statement info call. The PDF is stored on our production server. Request a raw PDF file with the Get statement PDF call.
Endpoint: /v1/dda/accounts/{accountNumber}/statements/{statementId}/documents
GET
https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/statements/{statementId}/documents
Path Parameters
- accountNumberstringrequiredDescription
- statementIdstringrequiredDescription
Response
- idstringDescription
- statementIdstringDescription
- fileTypestringDescription
- descriptionstringDescription
- datastringDescription
- partnerIdstringDescription
- createdAtstringDescription
- lastModifiedAtstringDescription
- fileNamestringDescription
curl
curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = ''
headers = {
'Authorization': 'Bearer <token>'
}
conn.request("GET", "/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"results": [
{
"id": "a2276ec1-e851-41e0-8ae1-b38800747098",
"statementId": "6daf4caa-34d5-4e65-9f98-b388004f0af7",
"fileType": "Pdf",
"description": "Document 1",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"createdAt": "2025-11-01T03:03:57-04:00",
"lastModifiedAt": "2025-11-01T03:03:57-04:00",
"fileName": "Devra Test_2819503463__6DAF4CAA-34D5-4E65-9F98-B388004F0AF7__2025-10-31.pdf"
}
],
"pageNumber": 1,
"pageSize": 1,
"hasPreviousPage": false,
"hasNextPage": false
}